'use strict';

var _babblerScriptJs = require('babbler-script-js');

var _babblerScriptJs2 = _interopRequireDefault(_babblerScriptJs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// BabblerScriptMicroState.js

var React = require('react');

//import BabblerScript from '../../babbler-script-js/src/babbler-script';

// Микро-состояние скрипта BabblerScript
var BabblerScriptMicroState = React.createClass({
    displayName: 'BabblerScriptMicroState',


    getInitialState: function getInitialState() {
        return {
            scriptMicroState: this.props.babblerScript.microState,
            err: ''
        };
    },

    componentDidMount: function componentDidMount() {
        this.programMicroStateListener = function (state, err) {
            this.setState({ scriptMicroState: state, err: err });
        }.bind(this);

        this.props.babblerScript.on(_babblerScriptJs2.default.Event.MICRO_STATE, this.programMicroStateListener);
    },

    componentWillUnmount: function componentWillUnmount() {
        // почистим слушателей
        this.props.babblerScript.removeListener(_babblerScriptJs2.default.Event.MICRO_STATE, this.programMicroStateListener);
    },

    render: function render() {
        return React.createElement(
            'span',
            { style: this.props.style },
            this.state.scriptMicroState
        );
    }
});

// отправляем компонент на публику
module.exports = BabblerScriptMicroState;